<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_steam_include.php
| Author: PHP-Fusion Development Team
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

// Display user field input
if ($profile_method == "input") {
    $user_fields = form_hidden('user_state', '', $field_value);
    if (defined('ADMIN_PANEL')) {
        $user_fields = "<div class='well m-t-5 text-center'>".$locale['uf_state']."</div>";
    }

    // Display in profile
} else if ($profile_method == "display") {
    if (iADMIN) {
        $userstate = post("user_state", FILTER_VALIDATE_INT);
        $lookup = get("lookup", FILTER_VALIDATE_INT);
        $sendstate = post("send_state", FILTER_DEFAULT);
        $uf_state = [
            0  => $locale['uf_state_0'],
            1  => $locale['uf_state_1'],
            2  => $locale['uf_state_2'],
            3  => $locale['uf_state_3'],
            4  => $locale['uf_state_4'],
            5  => $locale['uf_state_5'],
            6  => $locale['uf_state_6'],
            7  => $locale['uf_state_7'],
            8  => $locale['uf_state_8'],
            9  => $locale['uf_state_9'],
            10 => $locale['uf_state_10']
        ];

        $action_url = FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "");

        if ($sendstate) {
            $field_value = $userstate;
            $ustatus = ($userstate < 9 ? ", user_status = '".$userstate."'" : "");
            dbquery("UPDATE ".DB_USERS." SET user_state = '".$userstate."'$ustatus WHERE user_id = '".$lookup."'");
        }

        $options = [
            'type'       => 'radio',
            'inline'     => TRUE,
            'error_text' => $locale['uf_state_error'],
            'options'    => $uf_state,
        ] + $options;

        $user_fields = [
            'title' => $locale['uf_state'],
            'value' => openform('sendfieldstate_form', 'post', $action_url).
                form_select('user_state', '', $field_value, $options).
                form_button('send_state', $locale['uf_state_bt'], 'sendstate').
                closeform()
        ];

    } else {
        $user_fields = [
            'title' => $locale['uf_state'],
            'value' => $locale['uf_state_'.$user_data['user_state']] //$uf_state[]
        ];
    }
}
